> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Image to 3D

> The Image to 3D API generates an 3D character from an image.

<Warning>
  Make sure you add your [s3 details](/enterprise-api/general/update-s3-details) for `realtime` server, so you can receive image generated in your bucket. Images generated without s3 details being added will be delete after **24hours**
</Warning>

## Request

Make a `POST` request to below endpoint and pass the required parameters as a request body to the endpoint.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/3d/image_to_3d' \
```

## Body

```json json theme={null}
{   
  "key": "enterprise_api_key",    
  "image": "https://i.pinimg.com/736x/7c/83/64/7c83645c903677dd93ef50fe953dceea.jpg",    
  "ss_sampling_steps" : 50,    
  "slat_sampling_steps" : 50,    
  "output_format":"glb",    
  "webhook": null,    
  "track_id": null,    
  "temp": "no"
}
```

## Body Attributes

<ParamField query="key" type="string" required initialValue="">
  Your API Key used for request authorization.
</ParamField>

<ParamField query="image" type="string" required>
  The input image for 3D conversion.
</ParamField>

<ParamField query="render" type="bool" default="false">
  Whether to render a NeRF video of the 3D model.
</ParamField>

<ParamField query="output_format" type="string" default="obj">
  The format of the output 3D object (`glb`, `obj`, `stl`, `ply`).
</ParamField>

<ParamField query="resolution" type="number" default="256">
  Specifies the resolution of the generated 3D model. Max: 512.
</ParamField>

<ParamField query="multi_image" type="bool" default="false">
  Determines whether multiple images are processed together. When set to true, image should contain multiple POVs of the subject in a transparent PNG.
</ParamField>

<ParamField query="ss_guidance_strength" type="number" default="7.5">
  Controls the strength of style-space guidance.
</ParamField>

<ParamField query="ss_sampling_steps" type="number" default="12">
  Number of sampling steps for style-space guidance. Range: 1 to 50.
</ParamField>

<ParamField query="slat_guidance_strength" type="number" default="3.0">
  Controls the strength of slat guidance. Range: 0.0 to 10.0.
</ParamField>

<ParamField query="slat_sampling_steps" type="number" default="12">
  Number of sampling steps for slat guidance. Range: 1 to 50.
</ParamField>

<ParamField query="mesh_simplify" type="number" default="0.90">
  Degree of mesh simplification. Range: 0.90 to 0.98.
</ParamField>

<ParamField query="chunk_size" type="number" default="8192">
  Size of chunks used in the process (affects VRAM usage). Max: 12000.
</ParamField>

<ParamField query="seed" type="number" default="0">
  Random seed for reproducibility. If set to 0, a random seed will be generated.
</ParamField>

<ParamField query="temp" type="string" default="no">
  If set to `"yes"`, the output files will be saved in a temporary directory.
</ParamField>
